<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
          xmlns:tools="http://schemas.android.com/tools"
          package="com.example.Fruits">
    <!--//访问电话状态-->
    <uses-permission android:name="android.permission.READ_PHONE_STATE" />


    <!--//允许全部网络访问-->
    <uses-permission android:name="android.permission.INTERNET" />
    <!--//获取网络信息状态-->
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <!--//获取当前WiFi接入的状态以及WLAN热点的信息-->
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE"/>
    <uses-permission android:name="android.permission.INTERNET" />


    <!--//写入-->
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE\"/>
    <uses-permission android:name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS\"/>

    <application

            android:allowBackup="true"
            android:dataExtractionRules="@xml/data_extraction_rules"
            android:fullBackupContent="@xml/backup_rules"
            android:icon="@mipmap/ic_launcher"
            android:label="@string/app_name"
            android:roundIcon="@mipmap/ic_launcher_round"
            android:supportsRtl="true"
            android:theme="@style/Theme.Ceshi"

            android:networkSecurityConfig="@xml/network_security_config"

            tools:targetApi="31">


        <activity
                android:name="com.example.Fruits.MainActivity"
                android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.MAIN"/>

                <category android:name="android.intent.category.LAUNCHER"/>
            </intent-filter>
        </activity>
        <activity android:name="com.example.Fruits.WordSearchActivity"/>
        <activity android:name="com.example.Fruits.PictureSearchActivity"/>
        <activity android:name="com.example.Fruits.CollectActivity"/>
        <activity android:name="com.example.Fruits.WebViewActivity"/>


        <provider
                android:authorities="com.example.takephoto.fileprovider"
                android:name="androidx.core.content.FileProvider"
                android:exported="false"
                android:grantUriPermissions="true">
            <meta-data
                    android:name="android.support.FILE_PROVIDER_PATHS"
                    android:resource="@xml/file_paths"/>
        </provider>

    </application>



</manifest>